import { CustomerQueueManager } from './customer-queue.manager';

export class CustomerQueueTicketSummaryManager extends CustomerQueueManager {
  get data() {
    const tickets = this.tickets.map((ticket) => {
      return {
        id: ticket.id,
        code: ticket.code,
        customer: ticket.customer,
        phone: ticket.phone,
        date: ticket.date,
        summary: this.summaryTicket(ticket),
      };
    });

    return tickets[0];
  }
}
